# Bootprompt - Bootstrap powered alert, confirm and flexible dialog boxes

Please see [here](https://lddubeau.github.io/bootprompt/) for full usage instructions.

Bootprompt is a fork of Nick Payne's
[Bootbox](https://github.com/makeusabrew/bootbox). In 2018-2019 people began
asking for a release of Bootbox compatible with Bootstrap 4. [Tieson
Trowbridge](https://github.com/tiesont) put together a version 5 of Bootbox that
worked with Bootstrap 4. Unfortunately, Tieson did not have release powers and
Nick was no longer active on Github. So it seemed that a formal release of
Bootbox 5 would never happen. Louis-Dominique Dubeau, after consultation with
Tieson, decided to fork the project, and Bootprompt was born.

## Versioning

Bootprompt's first version is 5 because Bootbox got up to version 4 before
Bootprompt was forked from it. (A version 5 of Bootbox was released after this
project was forked, unfortunately.) If we had restarted version numbering from
1, we would have had to rename tags, etc. Too much trouble.

Do note that this project does not provide support for any version prior to 5.

## Migrating from Bootbox

If you are migrating from Bootbox, you should read [this
document](./docs/bootbox-to-bootprompt.md) which highlights the major
differences.

## Support

Bootprompt is developed by volunteers. Given our limited resources, we have to
limit the scope of what we formally support.

### JavaScript packages

Bootprompt supports:

* Bootstrap 4
* Bootstrap 3.4.x
* The same range of jQuery versions as supported by Bootstrap 4.

### Browsers

Bootprompt supports the same range of browsers as Bootstrap 4. Note that
Bootstrap 4 dropped support from some old browsers that Bootstrap 3
supported. For instance, IE 9.

Note that it may be necessary to install polyfills on old browsers in order to
get Bootprompt to run. Bootprompt 6 adds a promise-based API, which requires
that ``Promise`` be available at run time.

#### Browser Testing

[![Browser Stack](https://www.browserstack.com/images/mail/browserstack-logo-footer.png)](https://www.browserstack.com)

Bootprompt is tested on various browsers using
[BrowserStack](https://www.browserstack.com). BrowserStack provides this service
for free under their program for supporting open-source software.

## License

(The MIT License)

Copyright by the Contributor to Bootbox and Bootprompt.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE
