(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(require('./bootprompt')) :
    typeof define === 'function' && define.amd ? define(['./bootprompt'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.bootprompt));
}(this, (function (bootprompt) { 'use strict';

    /**
     * bootprompt.js locale configuration
     * locale : Arabic
     * author : Emad Omar
     */
    bootprompt.addLocale("ar", {
        OK: "موافق",
        CANCEL: "الغاء",
        CONFIRM: "تأكيد",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Azerbaijani
     * author : Valentin Belousov
     */
    bootprompt.addLocale("az", {
        OK: "OK",
        CANCEL: "İmtina et",
        CONFIRM: "Təsdiq et",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Bulgarian
     * author :  mraiur
     */
    bootprompt.addLocale("bg_BG", {
        OK: "Ок",
        CANCEL: "Отказ",
        CONFIRM: "Потвърждавам",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Czech
     * author : Lukáš Fryč
     */
    bootprompt.addLocale("cs", {
        OK: "OK",
        CANCEL: "Zrušit",
        CONFIRM: "Potvrdit",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Danish
     * author : Frederik Alkærsig
     */
    bootprompt.addLocale("da", {
        OK: "OK",
        CANCEL: "Annuller",
        CONFIRM: "Accepter",
    });

    /**
     * bootprompt.js locale configuration
     * locale : German
     * author : Nick Payne
     */
    bootprompt.addLocale("de", {
        OK: "OK",
        CANCEL: "Abbrechen",
        CONFIRM: "Akzeptieren",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Greek
     * author : Tolis Emmanouilidis
     */
    bootprompt.addLocale("el", {
        OK: "Εντάξει",
        CANCEL: "Ακύρωση",
        CONFIRM: "Επιβεβαίωση",
    });

    /**
     * bootprompt.js locale configuration
     * locale : English
     * author : Nick Payne
     */
    bootprompt.addLocale("en", {
        OK: "OK",
        CANCEL: "Cancel",
        CONFIRM: "OK",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Spanish
     * author : Ian Leckey
     */
    bootprompt.addLocale("es", {
        OK: "OK",
        CANCEL: "Cancelar",
        CONFIRM: "Aceptar",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Estonian
     * author : Pavel Krõlov
     */
    bootprompt.addLocale("et", {
        OK: "OK",
        CANCEL: "Katkesta",
        CONFIRM: "OK",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Basque
     * author : Iker Ibarguren
     */
    bootprompt.addLocale("eu", {
        OK: "OK",
        CANCEL: "Ezeztatu",
        CONFIRM: "Onartu",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Persian
     * author : Touhid Arastu
     */
    bootprompt.addLocale("fa", {
        OK: "قبول",
        CANCEL: "لغو",
        CONFIRM: "تایید",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Finnish
     * author : Nick Payne
     */
    bootprompt.addLocale("fi", {
        OK: "OK",
        CANCEL: "Peruuta",
        CONFIRM: "OK",
    });

    /**
     * bootprompt.js locale configuration
     * locale : French
     * author : Nick Payne, Sebastien Andary
     */
    bootprompt.addLocale("fr", {
        OK: "OK",
        CANCEL: "Annuler",
        CONFIRM: "Confirmer",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Hebrew
     * author : Chen Alon
     */
    bootprompt.addLocale("he", {
        OK: "אישור",
        CANCEL: "ביטול",
        CONFIRM: "אישור",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Croatian
     * author : Mario Bašić
     */
    bootprompt.addLocale("hr", {
        OK: "OK",
        CANCEL: "Odustani",
        CONFIRM: "Potvrdi",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Hungarian
     * author : Márk Sági-Kazár
     */
    bootprompt.addLocale("hu", {
        OK: "OK",
        CANCEL: "Mégsem",
        CONFIRM: "Megerősít",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Indonesian
     * author : Budi Irawan
     */
    bootprompt.addLocale("id", {
        OK: "OK",
        CANCEL: "Batal",
        CONFIRM: "OK",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Italian
     * author : Mauro
     */
    bootprompt.addLocale("it", {
        OK: "OK",
        CANCEL: "Annulla",
        CONFIRM: "Conferma",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Japanese
     * author : ms183
     */
    bootprompt.addLocale("ja", {
        OK: "OK",
        CANCEL: "キャンセル",
        CONFIRM: "確認",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Korean
     * author : rigning
     */
    bootprompt.addLocale("ko", {
        OK: "OK",
        CANCEL: "취소",
        CONFIRM: "확인",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Lithuanian
     * author : Tomas
     */
    bootprompt.addLocale("lt", {
        OK: "Gerai",
        CANCEL: "Atšaukti",
        CONFIRM: "Patvirtinti",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Latvian
     * author : Dmitry Bogatykh, Lauris BH
     */
    bootprompt.addLocale("lv", {
        OK: "Labi",
        CANCEL: "Atcelt",
        CONFIRM: "Apstiprināt",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Dutch
     * author : Bas ter Vrugt
     */
    bootprompt.addLocale("nl", {
        OK: "OK",
        CANCEL: "Annuleren",
        CONFIRM: "Accepteren",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Norwegian
     * author : Nils Magnus Englund
     */
    bootprompt.addLocale("no", {
        OK: "OK",
        CANCEL: "Avbryt",
        CONFIRM: "OK",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Polish
     * author : Szczepan Cieślik
     */
    bootprompt.addLocale("pl", {
        OK: "OK",
        CANCEL: "Anuluj",
        CONFIRM: "Potwierdź",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Portuguese (Brasil)
     * author : Nick Payne
     */
    bootprompt.addLocale("pt-br", {
        OK: "OK",
        CANCEL: "Cancelar",
        CONFIRM: "Sim",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Portuguese
     * author : Cláudio Medina
     */
    bootprompt.addLocale("pt", {
        OK: "OK",
        CANCEL: "Cancelar",
        CONFIRM: "Confirmar",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Russian
     * author : ionian-wind
     */
    bootprompt.addLocale("ru", {
        OK: "OK",
        CANCEL: "Отмена",
        CONFIRM: "Подтвердить",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Slovak
     * author : Stano Paška
     */
    bootprompt.addLocale("sk", {
        OK: "OK",
        CANCEL: "Zrušiť",
        CONFIRM: "Potvrdiť",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Slovenian
     * author : @metalcamp
     */
    bootprompt.addLocale("sl", {
        OK: "OK",
        CANCEL: "Prekliči",
        CONFIRM: "Potrdi",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Albanian
     * author : Knut Hühne
     */
    bootprompt.addLocale("sq", {
        OK: "OK",
        CANCEL: "Anulo",
        CONFIRM: "Prano",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Swedish
     * author : Mattias Reichel
     */
    bootprompt.addLocale("sv", {
        OK: "OK",
        CANCEL: "Avbryt",
        CONFIRM: "OK",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Thai
     * author : Ishmael๛
     */
    bootprompt.addLocale("th", {
        OK: "ตกลง",
        CANCEL: "ยกเลิก",
        CONFIRM: "ยืนยัน",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Turkish
     * author : Enes Karaca
     */
    bootprompt.addLocale("tr", {
        OK: "Tamam",
        CANCEL: "İptal",
        CONFIRM: "Onayla",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Ukrainian
     * author : OlehBoiko
     */
    bootprompt.addLocale("uk", {
        OK: "OK",
        CANCEL: "Відміна",
        CONFIRM: "Прийняти",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Chinese (China / People's Republic of China)
     * author : Nick Payne
     */
    bootprompt.addLocale("zh_CN", {
        OK: "OK",
        CANCEL: "取消",
        CONFIRM: "确认",
    });

    /**
     * bootprompt.js locale configuration
     * locale : Chinese (Taiwan / Republic of China)
     * author : Nick Payne
     */
    bootprompt.addLocale("zh_TW", {
        OK: "OK",
        CANCEL: "取消",
        CONFIRM: "確認",
    });

})));
//# sourceMappingURL=bootprompt.locales.js.map
